Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDragMoveEvent Class Reference

The TQDragMoveEvent class provides an event which is sent while a drag and drop is in progress. More...

`#include <ntqevent.h>`

Inherits TQDropEvent.

Inherited by TQDragEnterEvent.

List of all member functions.

## Public Members

- TQDragMoveEvent ( const TQPoint & pos, Type type = DragMove )
- TQRect answerRect () const
- void accept ( const TQRect & r )
- void ignore ( const TQRect & r )

## Detailed Description

The TQDragMoveEvent class provides an event which is sent while a drag and drop is in progress.

When a widget accepts drop events, it will receive this event repeatedly while the drag is within the widget's boundaries. The widget should examine the event to see what data it provides, and accept() the drop if appropriate.

Note that this class inherits most of its functionality from TQDropEvent.

See also Drag And Drop Classes and Event Classes.

## Member Function Documentation

### TQDragMoveEvent::TQDragMoveEvent ( const TQPoint & pos, Type type = DragMove )

Creates a TQDragMoveEvent for which the mouse is at point pos, and the event is of type type.

Warning: Do not create a TQDragMoveEvent yourself since these objects rely on TQt's internal state.

### void TQDragMoveEvent::accept ( const TQRect & r )

The same as accept(), but also notifies that future moves will also be acceptable if they remain within the rectangle r on the widget: this can improve performance, but may also be ignored by the underlying system.

If the rectangle is empty, then drag move events will be sent continuously. This is useful if the source is scrolling in a timer event.

Examples: desktop/desktop.cpp and dirview/dirview.cpp.

### TQRect TQDragMoveEvent::answerRect () const

Returns the rectangle for which the acceptance of the move event applies.

### void TQDragMoveEvent::ignore ( const TQRect & r )

The opposite of accept(const TQRect&), i.e. says that moves within rectangle r are not acceptable (will be ignored).

Example: dirview/dirview.cpp.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.